# This package doesn't contain any binaries, thus no debuginfo package is needed.
%global debug_package %{nil}
%global amdgpu_headers_major_version 6.8.5
%global amdgpu_headers_minor_version 60202
%global amdgpu_headers_build_version 2078359
%global minor_release 7


Name:           amdgpu-headers
Version:        %{amdgpu_headers_major_version}.%{amdgpu_headers_minor_version}_%{amdgpu_headers_build_version}
Release:        %{minor_release}%{?dist}
Epoch:          1
Summary:        AMD GPU API Headers
Group:          System Environment/Kernel
License:        MIT
Url:            https://repo.radeon.com/
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
BuildArch:      noarch

Source0:        amdgpu-dkms-headers-%{amdgpu_headers_major_version}.%{amdgpu_headers_minor_version}-%{amdgpu_headers_build_version}%{?dist}.noarch.rpm
Source1:        LICENSE.PTR

Provides:       amdgpu-dkms-headers = %{?epoch:%{epoch}:}%{version}

%description
AMD GPU API Headers

%prep
mkdir amdgpu-headers-build
rpm2cpio %{SOURCE0} | cpio -idmv -D amdgpu-headers-build
cp %{SOURCE1} .

%build

%install
pushd amdgpu-headers-build
mv ./opt/amdgpu/share/pkgconfig/amdgpu-dkms.pc ./opt/amdgpu/share/pkgconfig/amdgpu.pc
sed -i 's/amdgpu-dkms/amdgpu/' ./opt/amdgpu/share/pkgconfig/amdgpu.pc
cp -rp ./opt %{buildroot}/
popd

%files
%attr(0755,root,root)
/opt
%license LICENSE.PTR

%changelog
* Tue Apr 15 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 1:6.8.5.60202_2078359-7
- Add Epoch for downgrading AMDGPU headers package and update minor release.

* Thu Feb 13 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.10.5.60302_2109964-1
- Upgrade AMD GPU headers to 6.10.5.60302_2109964 version.

* Fri Jan 31 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-6
- Bump up minor release to align with AMD GPU SPEC.

* Wed Jan 22 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-5
- Bump minor release to align with AMD GPU SPEC.

* Mon Jan 13 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-4
- Bump up minor release to align with AMD GPU SPEC.

* Thu Jan 09 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-3
- Redacted original source URL to comply with licensing agreements

* Thu Jan 02 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-2
- Update source URL
- Clarify license and explicit LICENSE.PTR file

* Fri Nov 22 2024 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-1
- Upgrade version

* Mon Aug 19 2024 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.0-1
- Initial Azure Linux Spec
- License verified
